/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.bonus.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class PhBounsDto extends BaseDto {
	
	private static final long	serialVersionUID	= -762307964684268652L;
	
	private String				kCode;
	private Date				calcMonth;
	private Date				payDate;
	private String				slipCode;
	private int					allowanceTotal;
	private int					deductionTotal;
	private int					paymentTotal;
	private int					taxation;
	private int					socInsTotal;
	private int					dependent;
	private int					incomeTax;
	private int					adjustedTax;
	private int					insureMoney;
	private int					insureInKind;
	private int					insureFixed;
	private int					insureUnemploy;
	

	//private int    bonusBase     ;
	
	/**
	 * 調整税額を取得する。
	 * @return 調整税額
	 */
	public int getAdjustedTax() {
		return adjustedTax;
	}
	
	/**
	 * 調整税額を設定する。
	 * @param adjustedTax 設定する調整税額
	 */
	public void setAdjustedTax(int adjustedTax) {
		this.adjustedTax = adjustedTax;
	}
	
	/**
	 * 総支給金額を取得する。
	 * @return 総支給金額
	 */
	public int getAllowanceTotal() {
		return allowanceTotal;
	}
	
	/**
	 * 総支給金額を設定する。
	 * @param allowanceTotal 設定する総支給金額
	 */
	public void setAllowanceTotal(int allowanceTotal) {
		this.allowanceTotal = allowanceTotal;
	}
	
	/**
	 * 計算年月を取得する。
	 * @return 計算年月
	 */
	public Date getCalcMonth() {
		return getDateField(calcMonth);
	}
	
	/**
	 * 計算年月を設定する。
	 * @param calcMonth 設定する計算年月
	 */
	public void setCalcMonth(Date calcMonth) {
		this.calcMonth = getDateField(calcMonth);
	}
	
	/**
	 * 総控除金額を取得する。
	 * @return 総控除金額
	 */
	public int getDeductionTotal() {
		return deductionTotal;
	}
	
	/**
	 * 総控除金額を設定する。
	 * @param deductionTotal 設定する総控除金額
	 */
	public void setDeductionTotal(int deductionTotal) {
		this.deductionTotal = deductionTotal;
	}
	
	/**
	 * 扶養等の数を取得する。
	 * @return 扶養等の数
	 */
	public int getDependent() {
		return dependent;
	}
	
	/**
	 * 扶養等の数を設定する。
	 * @param dependent 設定する扶養等の数
	 */
	public void setDependent(int dependent) {
		this.dependent = dependent;
	}
	
	/**
	 * 所得税額を取得する。
	 * @return 所得税額
	 */
	public int getIncomeTax() {
		return incomeTax;
	}
	
	/**
	 * 所得税額を設定する。
	 * @param incomeTax 設定する所得税額
	 */
	public void setIncomeTax(int incomeTax) {
		this.incomeTax = incomeTax;
	}
	
	/**
	 * 社員コードを取得する。
	 * @return 社員コード
	 */
	public String getKCode() {
		return kCode;
	}
	
	/**
	 * 社員コードを設定する。
	 * @param kcode 設定する社員コード
	 */
	public void setKCode(String kCode) {
		this.kCode = kCode;
	}
	
	/**
	 * 支給日を取得する。
	 * @return 支給日
	 */
	public Date getPayDate() {
		return getDateField(payDate);
	}
	
	/**
	 * 支給日を設定する。
	 * @param payDate 設定する支給日
	 */
	public void setPayDate(Date payDate) {
		this.payDate = getDateField(payDate);
	}
	
	/**
	 * 差引支給額を取得する。
	 * @return 差引支給額
	 */
	public int getPaymentTotal() {
		return paymentTotal;
	}
	
	/**
	 * 差引支給額を設定する。
	 * @param paymentTotal 設定する差引支給額
	 */
	public void setPaymentTotal(int paymentTotal) {
		this.paymentTotal = paymentTotal;
	}
	
	/**
	 * 社会保険料を取得する。
	 * @return 社会保険料
	 */
	public int getSocInsTotal() {
		return socInsTotal;
	}
	
	/**
	 * 社会保険料を設定する。
	 * @param socInsTotal 設定する社会保険料
	 */
	public void setSocInsTotal(int socInsTotal) {
		this.socInsTotal = socInsTotal;
	}
	
	/**
	 * 課税対象額を取得する。
	 * @return 課税対象額
	 */
	public int getTaxation() {
		return taxation;
	}
	
	/**
	 * 課税対象額を設定する。
	 * @param taxation 設定する課税対象額
	 */
	public void setTaxation(int taxation) {
		this.taxation = taxation;
	}
	
	/**
	 * 伝票コードを取得する。
	 * @return 伝票コード
	 */
	public String getSlipCode() {
		return slipCode;
	}
	
	/**
	 * 伝票コードを設定する。
	 * @param slipCode 設定する伝票コード
	 */
	public void setSlipCode(String slipCode) {
		this.slipCode = slipCode;
	}
	
	/**
	 * 社会保険対象固定賃金を取得する。
	 * @return 社会保険対象固定賃金
	 */
	public int getInsureFixed() {
		return insureFixed;
	}
	
	/**
	 * 社会保険対象固定賃金を設定する。
	 * @param insureFixed 設定する社会保険対象固定賃金
	 */
	public void setInsureFixed(int insureFixed) {
		this.insureFixed = insureFixed;
	}
	
	/**
	 * 社会保険対象現物を取得する。
	 * @return 社会保険対象現物
	 */
	public int getInsureInKind() {
		return insureInKind;
	}
	
	/**
	 * 社会保険対象現物を設定する。
	 * @param insureInKind 設定する社会保険対象現物
	 */
	public void setInsureInKind(int insureInKind) {
		this.insureInKind = insureInKind;
	}
	
	/**
	 * 社会保険対象金銭を取得する。
	 * @return 社会保険対象金銭
	 */
	public int getInsureMoney() {
		return insureMoney;
	}
	
	/**
	 * 社会保険対象金銭を設定する。
	 * @param insureMoney 設定する社会保険対象金銭
	 */
	public void setInsureMoney(int insureMoney) {
		this.insureMoney = insureMoney;
	}
	
	/**
	 * 雇用保険対象額を取得する。
	 * @return 雇用保険対象額
	 */
	public int getInsureUnemploy() {
		return insureUnemploy;
	}
	
	/**
	 * 雇用保険対象額を設定する。
	 * @param insureUnemploy 設定する雇用保険対象額
	 */
	public void setInsureUnemploy(int insureUnemploy) {
		this.insureUnemploy = insureUnemploy;
	}
	
	/**
	 * 賞与計算対象額を取得する。
	 * @return 賞与計算対象額
	 */
	//public int getBonusBase() {
	//	return bonusBase;
	//}
	
	/**
	 * 賞与計算対象額を設定する。
	 * @param bonusBase 設定する賞与計算対象額
	 */
	//public void setBonusBase(int bonusBase) {
	//	this.bonusBase = bonusBase;
	//}
	
}
